PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.0 »
- SDSS Utilities (`pydl.pydlutils`) »
- sdss_sweep_circle

# sdss_sweep_circle

pydl.pydlutils.sdss.sdss_sweep_circle(ra, dec, radius, stype='star', allobj=False)

  Read the SDSS datasweep files and return objects around a location.

  Parameters:
    ra, dec `float`

      The sky location to search, J2000 degrees.

    radius `float`

      The radius around `ra`, `dec` to search.

    stype `str`, optional

      The type of object to search, ‘star’, ‘gal’ or ‘sky’. The default is ‘star’.

    allobj `bool`, optional

      If set to `True`, return all objects found, not just SURVEY_PRIMARY.

  Returns:
    `numpy.ndarray`

      The data extracted from the sweep files.

  Raises:
    `PydlutilsException`

      If `PHOTO_SWEEP` is not set.

  Notes

  Assumes that the sweep files exist in `PHOTO_SWEEP` and that index files have been created.